> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a generation group

> Remove a group and purge all related generations and assets.



## OpenAPI

````yaml api-reference/openapi.json delete /generation/groups/{group_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /generation/groups/{group_id}:
    delete:
      tags:
        - Generation
      summary: Delete a generation group
      description: Remove a group and purge all related generations and assets.
      operationId: deleteGenerationGroup
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Group deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupDeletionResponse'
        '404':
          description: Group not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GroupDeletionResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        group_id:
          type: string
        group_title:
          type: string
        deleted_generations:
          type: integer
        failed_generation_deletions:
          type: integer
        total_deleted_images:
          type: integer
        total_failed_image_deletions:
          type: integer
        details:
          type: object
          properties:
            deleted_generation_ids:
              type: array
              items:
                type: string
            failed_generation_ids:
              type: array
              items:
                type: string
            deleted_image_urls:
              type: array
              items:
                type: string
                format: uri
            failed_image_urls:
              type: array
              items:
                type: string
                format: uri
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Short error identifier.
        message:
          type: string
          description: Human readable error description.
        character_id:
          type: string
          description: Character that triggered the error, when relevant.
        group_id:
          type: string
          description: Group that triggered the error, when relevant.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````